import { Entity } from 'scilla-core/src';
import { getTextRenderer } from './utils';

export const setLabelColor = (label: Entity, color: string) => {
    getTextRenderer(label).fillColor = color
}

export const setLabelText = (label: Entity, text: string, textFlow = false) => {
    if (textFlow)
        getTextRenderer(label).textFlow = text;
    else
        getTextRenderer(label).text = text;
}